# CImageSet Class Reference

List of all members.

## Public Types
enum | { PLANE_BIT = 1, CONTOUR_BIT = 2, PARALLEX_BIT = 4 }
## Public Member Functions
void | adjustProjMat ()
| CImageSet ()
int | loadConfig (const char *config)
void | resetAll ()
int | updateStereoImages (opentl::core::cvdata::Image **img1, opentl::core::cvdata::Image **img2)
virtual | ~CImageSet ()
## Public Attributes
char * | m_contourBins
int | m_frameNum
CImageArray | m_imgArray
int | m_imgHeight
int | m_imgNumber
int | m_imgWidth
float | m_minEpiDistance
float | m_minMNCCscore
float | m_minMNCCscore2
float | m_planeEqu [3]
float | m_planeQuad [4][3]
char | m_prefix [128]
int | m_reconMaxBbox [3]
int | m_reconMinBbox [3]
int | m_reconSteps
float | m_reconViewScale
int | m_rectMaxY
int | m_rectMinY
bool | m_resetFlag
int | m_templateSize
float * | m_texCoordArray
int | m_texCoordArraySize
int | m_validFlag
## Protected Attributes
int | m_startOffset

## Member Enumeration Documentation

anonymous enum

Enumerator:

  PLANE_BIT |
  CONTOUR_BIT |
  PARALLEX_BIT |

## Constructor & Destructor Documentation

CImageSet::CImageSet | ( |  | ) |

virtual CImageSet::~CImageSet | ( |  | ) | `[virtual]`

## Member Function Documentation

void CImageSet::adjustProjMat | ( |  | ) |

int CImageSet::loadConfig | ( | const char * | config | ) |

void CImageSet::resetAll | ( |  | ) |

int CImageSet::updateStereoImages | ( | opentl::core::cvdata::Image ** | img1,
|  | opentl::core::cvdata::Image ** | img2 |
| ) |  |  |

## Member Data Documentation

char* CImageSet::m_contourBins

int CImageSet::m_frameNum

CImageArray CImageSet::m_imgArray

int CImageSet::m_imgHeight

int CImageSet::m_imgNumber

int CImageSet::m_imgWidth

float CImageSet::m_minEpiDistance

float CImageSet::m_minMNCCscore

float CImageSet::m_minMNCCscore2

float CImageSet::m_planeEqu[3]

float CImageSet::m_planeQuad[4][3]

char CImageSet::m_prefix[128]

int CImageSet::m_reconMaxBbox[3]

int CImageSet::m_reconMinBbox[3]

int CImageSet::m_reconSteps

float CImageSet::m_reconViewScale

int CImageSet::m_rectMaxY

int CImageSet::m_rectMinY

bool CImageSet::m_resetFlag

int CImageSet::m_startOffset`[protected]`

int CImageSet::m_templateSize

float* CImageSet::m_texCoordArray

int CImageSet::m_texCoordArraySize

int CImageSet::m_validFlag